## com.sun.grizzly.util
Class SelectionKeyAttachment

    java.lang.Object
      com.sun.grizzly.util.SelectionKeyAttachment

Direct Known Subclasses:
  SelectionKeyActionAttachment

    public abstract class SelectionKeyAttachment

extends Object

Basic class for all SelectionKey attachments. Custom attachments should be inherited from it.

Author:
  Alexey Stashok

Constructor Summary
`SelectionKeyAttachment()`

Method Summary
`static Object` `getAttachment(SelectionKey key)`
`Long` `getTimeout()`
`void` `release(SelectionKey selectionKey)`
`void` `setTimeout(Long timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionKeyAttachment

    public SelectionKeyAttachment()

Method Detail

### getAttachment

    public static Object getAttachment(SelectionKey key)

### getTimeout

    public Long getTimeout()

### setTimeout

    public void setTimeout(Long timeout)

### release

    public void release(SelectionKey selectionKey)

Copyright © 2008 SUN Microsystems. All Rights Reserved.